// defence.h

/* DEFENCE

DWORD Svertka(DWORD OriginNumber); 
inline BOOL Compare2(int Num1,int Num2);
void Compare3(int Num1,int Num2,LPVOID Procedure,DWORD Stack,DWORD Ip);
void MBL();
// Выводит MessageBox через двойное ядро
inline int MessageBoxLoader(LPCTSTR lpString,LPCTSTR lpCaption,UINT Style);
//PostMessage по второму ядру
inline BOOL CallUserPostMessage(HWND hWnd,UINT Msg,WPARAM wParam,LPARAM lParam);
//Реализация GetTickCount по второму ядру
DWORD CallKernelTickCount(void);
// SendMessage по вторму ядру
//inline 
LRESULT CallUserSendMessage(HWND hWnd,UINT Msg,WPARAM wParam,LPARAM lParam);

*/
#ifndef __PRAGMA_ONCE_DEFENCE_H_FILE_DEF
#define __PRAGMA_ONCE_DEFENCE_H_FILE_DEF

void H_DefExit();
void D_DefMessage();

#endif
